clear all
close all


% trade=load('trade2.txt');
trade=load('trade3.txt');
% trade=load('trade3_no_india.txt');
% pwt=load('pwt3.txt');
pwt=load('pwt4.txt');

%number of countries in trade
N0=max(trade(:,1));

%number of years in pwt
T=max(pwt(:,1))-min(pwt(:,1))+1;

ii=(1:N0)';

% take out
% un-nber w/o 1962 data: Bangladesh, Malawi, Rwanda, Zimbabwe
% pop 1962 < 1M: Barbados, cyprus, Fiji, Gabon, The Gambia, Iceland, Malta
%                Mauritius, Trinidad & Tobago
% pwt w/o emp data: Benin, Burundi, Central African Rep., Rep. Congo
%                   El Salvador, Mauritania, Nepal, Sierra Loene, Togo
% Oil rents in 2000 >= 20 % GDP): Iran, Venezuela
% large re-exports countries: Hong Kong, Panama, Malaysia, and Singapore

% out=[4 48 68 90 ...
%     5 20 26 29 30 36 51 53 81 ...
%      7 10 13 17 25 52 57 70 80 ...
%      39 88 ...
%      91 63 92]';

out=[4 48 68 90 ...
    5 20 26 29 30 36 51 53 81 ...
     7 10 13 17 25 52 57 70 80 ...
     39 88 ...
     91 63 49 92]';

% out=[1:11 13:86 88:92]';

% index of 92 countries in trade
temp=ii;
% loop through temp and take out elements of out
for i=1:length(out)
    
temp=temp(find(temp~=out(i)));

end

%store remaining countries in ii1
ii1=temp;

% new length of country indices after removing elements of out
N1=N0-length(out);

% remove elements corresponding to out vector from trade matrix
for t=1:length(trade(1,3:end))

% reshape trade data for each year from [N0*N0,1] to [N0,N0]
temp=reshape(trade(:,t+2),N0,N0)';

% index of 92 countries in trade
ii1=ii;

for i=1:length(out)

    io=find(ii1==out(i));
    % remove corresponding row and column in [N0,N0] matrix for each
    % element in out
    temp=temp([1:io-1 io+1:end],[1:io-1 io+1:end]);
    %remove element of out from ii1
    ii1=ii1(find(ii1~=out(i)));

end

% reshape modified data back into [N1*N1,1]
trade1(:,t+2)=reshape(temp',1,N1*N1);

end

% generate corresponding pairwise combinations in columns 1,2
trade1(:,1)=kron(ii1,ones(N1,1));
trade1(:,2)=kron(ones(N1,1),ii1);

for i=1:length(pwt(1,:))

temp=reshape(pwt(:,i),T,N0);

% index of 92 countries in pwt
ii1=ii;

    for j=1:length(out)
   
        io=find(ii1==out(j));
        % remove corresponding row in [T,N0] matrix for each
        % element in out
        temp=temp(:,[1:io-1 io+1:end]);
        %remove element of out from ii1
        ii1=ii1(find(ii1~=out(j)));
        
    end
    
    % reshape modified data back into [T*N1,1]
    pwt1(:,i)=reshape(temp,T*N1,1);
    
end

% save trade_small_2.txt trade1 -ascii
% save pwt_small_2.txt pwt1 -ascii
% save ii_small_2.txt ii1 -ascii
save trade_small_3.txt trade1 -ascii
save pwt_small_3.txt pwt1 -ascii
save ii_small_3.txt ii1 -ascii

