clear all
close all

% trade=load('trade2.txt');
trade=load('trade3.txt');
% pwt=load('pwt3.txt');
pwt=load('pwt4.txt');

N0=max(trade(:,1));
T=max(pwt(:,1))-min(pwt(:,1))+1;

ii=(1:N0)';

% take out
% un-nber w/o 1962 data: Bangladesh, Malawi, Rwanda, Zimbabwe
% pop 1962 < 1M: Barbados, cyprus, Fiji, Gabon, The Gambia, Iceland, Malta
%                Mauritius, Trinidad & Tobago
% pwt w/o emp data: Benin, Burundi, Central African Rep., Rep. Congo
%                   El Salvador, Mauritania, Nepal, Sierra Loene, Togo
% Oil rents in 2000 >= 20 % GDP): Iran, Venezuela
% large re-exports countries: Hong Kong, Panama, Malaysia, and Singapore
% lacking R&D data: Bolivia, Cameroon, China, Cote d`Ivoire, Dominican Republic
% Egypt, Ghana, Guatemala, Honduras, Jamaica, Jordan, Kenya, Mali
% Morocco, Mozambique, Niger, Pakistan, Paraguay, Senegal, South Africa, Syria
% Tanzania, Uganda, Zambia

out=[4 48 68 90 ...
    5 20 26 29 30 36 51 53 81 ...
     7 10 13 17 25 52 57 70 80 ...
     39 88 ...
     91 63 49 92 ...
     8 11 15 19 22 24 32 34 35 43 45 46 50 55 56 60 62 64 69 71 76 78 84 89]';

% out=[1:11 13:86 88:92]';

temp=ii;
for i=1:length(out)
    
temp=temp(find(temp~=out(i)));

end

ii1=temp;

N1=N0-length(out);

for t=1:length(trade(1,3:end))
    
temp=reshape(trade(:,t+2),N0,N0)';

ii1=ii;

for i=1:length(out)

    io=find(ii1==out(i));
    
    temp=temp([1:io-1 io+1:end],[1:io-1 io+1:end]);
    ii1=ii1(find(ii1~=out(i)));

end

trade1(:,t+2)=reshape(temp',1,N1*N1);

end

trade1(:,1)=kron(ii1,ones(N1,1));
trade1(:,2)=kron(ones(N1,1),ii1);

for i=1:length(pwt(1,:))

temp=reshape(pwt(:,i),T,N0);

ii1=ii;

    for j=1:length(out)
   
        io=find(ii1==out(j));
        
        temp=temp(:,[1:io-1 io+1:end]);

        ii1=ii1(find(ii1~=out(j)));
        
    end

    pwt1(:,i)=reshape(temp,T*N1,1);
    
end

% save trade_small_RandD.txt trade1 -ascii
% save pwt_small_RandD.txt pwt1 -ascii
% save ii_small_RandD.txt ii1 -ascii
save trade_small_RandD_2.txt trade1 -ascii
save pwt_small_RandD_2.txt pwt1 -ascii
save ii_small_RandD_2.txt ii1 -ascii

