clear all
close all

load TFP_i_Belgium_bt_060
TFP_in_Belgium_s=TFP_i_s(11,:);
TFP_in_Belgium_d=TFP_i_d(11,:);
pi_ii_in_Belgium_s=pi_ii_i_s(11,:);
pi_ii_in_Belgium_d=pi_ii_i_d(11,:);
load TFP_i_Switzerland_bt_060
TFP_in_Switzerland_s=TFP_i_s(11,:);
TFP_in_Switzerland_d=TFP_i_d(11,:);
pi_ii_in_Switzerland_s=pi_ii_i_s(11,:);
pi_ii_in_Switzerland_d=pi_ii_i_d(11,:);

% Figure OA.17 in the online appendix

figure(1)
subplot(1,2,1)
plot(2000+(1:length(TFP_i_d(1,:)))-1 ...
,TFP_in_Belgium_d','b' ...
,2000+(1:length(TFP_i_d(1,:)))-1 ...
,TFP_in_Switzerland_d','--r' ...
,2000,TFP_in_Belgium_s(1),'ko','LineWidth',2)
title('TFP, Niger','FontSize',11)
xlabel('years','FontSize',11)
legend('in Belgium','in Switzerland','Location','SouthEast')
legend boxoff
axis([2000 2100 0 .5])
set(gca,'FontSize',12)

subplot(1,2,2)
plot(2000+(1:length(TFP_i_d(1,:)))-1 ...
,1-pi_ii_in_Belgium_d','b',2000,1-pi_ii_in_Belgium_s(1),'ko' ...
,2000+(1:length(TFP_i_d(1,:)))-1 ...
,1-pi_ii_in_Switzerland_d','r--','LineWidth',2)
title('1-\pi_{ii}, Niger','FontSize',11)
axis([2000 2100 0 .5])
xlabel('years','FontSize',11)
set(gca,'FontSize',12)

set(gcf, 'PaperPosition', [0 0 7 4]); %Position plot at left hand corner with width 5 and height 5.
set(gcf, 'PaperSize', [7 4]); %Set the paper to have width 5 and height 5.
