clear all
close all

th=4;

% save trans_k0_al0_s_02 MSE_all TFP0_all TFPT_all dTFP_all TFP_Korea_all TFP_China_all TFP_Taiwan_all TFP_Thailand_all TFP_US_all ...
%     MSE_k0 TFP0_k0 TFPT_k0 dTFP_k0 TFP_Korea_k0 TFP_China_k0 TFP_Taiwan_k0 TFP_Thailand_k0 TFP_US_k0 ...
%     MSE_al0 TFP0_al0 TFPT_al0 dTFP_al0 TFP_Korea_al0 TFP_China_al0 TFP_Taiwan_al0 TFP_Thailand_al0 TFP_US_al0 alpha0 alphaT ...
%     pi_ii_0_all pi_ii_T_all pi_ii_0_k0 pi_ii_T_k0 pi_ii_0_al0 pi_ii_T_al0 ...
%     la0_all laT_all la0_k0 laT_k0 la0_al0 laT_al0 Z_0_all Z_T_all Z_0_k0 Z_T_k0 Z_0_al0 Z_T_al0 TFP_fixed_la TFP_fixed_pi ga_bt

load trans_k0_al0_pu_2

N=length(TFP0_all(:,1));
T=length(TFP_China_all(1,:));

TFP_China_all_s=TFP_China_all;
TFP_China_al0_s=TFP_China_al0;
TFP_Korea_all_s=TFP_Korea_all;
TFP_Korea_al0_s=TFP_Korea_al0;
TFP_Taiwan_all_s=TFP_Taiwan_all;
TFP_Taiwan_al0_s=TFP_Taiwan_al0;
TFP_Thailand_all_s=TFP_Thailand_all;
TFP_Thailand_al0_s=TFP_Thailand_al0;

bb=linspace(0,.9,100);
bb2=linspace(0,.9,10);

% gridbt=[0 .1 .25 .4 .5 .6 .7 .75 .9 .95];
gridbt=[0 .1 .25 .4 .5 .6 .75 .9 .95];

V0011=var(log(TFPT_all./TFP0_all));
V0001=var(log(TFPT_al0./TFP0_all));
V0111=var(log(TFPT_all./TFPT_al0));
V0010=var(log(TFPT_k0./TFP0_all));
V1011=var(log(TFPT_all./TFPT_k0));

% Figure OA.3 in the online appendix
figure(1)

% subplot(1,2,1),plot(gridbt,mean(log(TFPT_all./TFPT_k0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*ga_bt./(th.*(1-gridbt))),'r--', ...
%     gridbt,mean(log(TFPT_al0./TFP0_al0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*ga_bt./(th.*(1-gridbt))),'b','LineWidth',2)
subplot(1,2,1),plot(gridbt,mean(log(TFPT_all./TFPT_k0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*.008),'r--', ...
    gridbt,mean(log(TFPT_al0./TFP0_al0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*.008),'b','LineWidth',2)
axis([0 1 0 0.5])
xlabel('$\beta$','Interpreter','LaTex')
title('\textbf{World Growth}','FontSize',12,'Interpreter','LaTex')
set(gca,'FontSize',12)
set(gca,'TickLabelInterpreter','latex')
ylabel('Fraction explained by trade','Interpreter','LaTex')
temp=mean(log(TFPT_all./TFPT_k0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*.008);
text(gridbt(8),temp(8)-.02,'$\alpha$ fixed','Interpreter','LaTex')
temp=mean(log(TFPT_al0./TFP0_al0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*.008);
text(gridbt(8),temp(8)+.02,'$\alpha$ varying','Interpreter','LaTex')

% legend('\alpha varying','\alpha constant','Location','NorthWest')
% legend boxoff
subplot(1,2,2),plot(gridbt,1-V0010./V0011,'r--' ...
    ,gridbt,1-V0111./V0011,'b-' ...
    , gridbt,V1011./V0011,'r--s' ...
    ,gridbt,V0001./V0011,'b-s','LineWidth',2)
axis([0 1 0 0.5])
% title('learning from sellers','FontSize',11)
% legend('\alpha varying, incl. cov.' ...
%  ,'\alpha constant, incl. cov.' ...
%  ,'\alpha varying, excl. cov.' ...
% ,'\alpha constant, excl. cov.','Location','North')
% legend boxoff
temp=1-V0010./V0011;
text(gridbt(7)-.2,temp(7)+.025,'$\alpha$ varying, w/ cov.','Interpreter','LaTex')
temp=1-V0111./V0011;
text(gridbt(7)-.2,temp(7)-.02,'$\alpha$ fixed, w/ cov.','Interpreter','LaTex')
temp=V1011./V0011;
text(gridbt(7)-.2,temp(7)+.025,'$\alpha$ varying, w/o cov.','Interpreter','LaTex')
temp=V0001./V0011
text(gridbt(7)-.2,temp(7)-.02,'$\alpha$ fixed, w/o cov.','Interpreter','LaTex')
% LEG=legend('\alpha varying, incl. cov.' ...
%  ,'\alpha constant, incl. cov.' ...
%  ,'\alpha varying, excl. cov.' ...
% ,'\alpha constant, excl. cov.','Location','NorthWest')'
% set(LEG,'Interpreter','LaTex')


xlabel('$\beta$','Interpreter','LaTex')
set(gca,'FontSize',12)
set(gca,'TickLabelInterpreter','latex')
title('\textbf{Cross-Sectional Variance}','FontSize',14,'Interpreter','LaTex')

% set(gcf, 'PaperPosition', [0 0 7.5 4.5]); %Position plot at left hand corner with width 5 and height 5.
% set(gcf, 'PaperSize', [7.5 4.5]); %Set the paper to have width 5 and height 5.
set(gcf, 'PaperPosition', [0 0 7 3]); %Position plot at left hand corner with width 5 and height 5.
set(gcf, 'PaperSize', [7 3]); %Set the paper to have width 5 and height 5.
set(gca,'FontSize',12)

load trans_k0_al0_p_2

N=length(TFP0_all(:,1));
T=length(TFP_China_all(1,:));

TFP_China_all_s=TFP_China_all;
TFP_China_al0_s=TFP_China_al0;
TFP_Korea_all_s=TFP_Korea_all;
TFP_Korea_al0_s=TFP_Korea_al0;
TFP_Taiwan_all_s=TFP_Taiwan_all;
TFP_Taiwan_al0_s=TFP_Taiwan_al0;
TFP_Thailand_all_s=TFP_Thailand_all;
TFP_Thailand_al0_s=TFP_Thailand_al0;

bb=linspace(0,.9,100);
bb2=linspace(0,.9,10);

% gridbt=[0 .1 .25 .4 .5 .6 .7 .75 .9 .95];
gridbt=[0 .1 .25 .4 .5 .6 .75 .9 .95];

V0011=var(log(TFPT_all./TFP0_all));
V0001=var(log(TFPT_al0./TFP0_all));
V0111=var(log(TFPT_all./TFPT_al0));
V0010=var(log(TFPT_k0./TFP0_all));
V1011=var(log(TFPT_all./TFPT_k0));

% Figure OA.4 in the online appendix
figure(2)
% subplot(1,2,1),plot(gridbt,mean(log(TFPT_all./TFPT_k0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*ga_bt./(th.*(1-gridbt))),'r--', ...
%     gridbt,mean(log(TFPT_al0./TFP0_al0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*ga_bt./(th.*(1-gridbt))),'b','LineWidth',2)
subplot(1,2,1),plot(gridbt,mean(log(TFPT_all./TFPT_k0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*.008),'r--', ...
    gridbt,mean(log(TFPT_al0./TFP0_al0))./(mean(log(TFPT_all./TFP0_all))+(T-1)*.008),'b','LineWidth',2)
axis([0 1 0 .5])
xlabel('$\beta$','Interpreter','LaTex')
title('\textbf{World Growth}','FontSize',14,'Interpreter','LaTex')
set(gca,'FontSize',12)
set(gca,'TickLabelInterpreter','latex')
ylabel('Fraction explained by trade','Interpreter','LaTex')
LEG=legend('$\alpha$ varying','$\alpha$ constant','Location','NorthWest');
set(LEG,'Interpreter','LaTex')
legend boxoff
subplot(1,2,2),plot(gridbt,1-V0010./V0011,'r--' ...
    ,gridbt,1-V0111./V0011,'b-' ...
    , gridbt,V1011./V0011,'r--s' ...
    ,gridbt,V0001./V0011,'b-s','LineWidth',2)
axis([0 1 0 .5])
% title('learning from sellers','FontSize',11)
LEG=legend('$\alpha$ varying, incl. cov.' ...
 ,'$\alpha$ constant, incl. cov.' ...
 ,'$\alpha$ varying, excl. cov.' ...
,'$\alpha$ constant, excl. cov.','Location','NorthWest');
legend boxoff
set(LEG,'Interpreter','LaTex')
xlabel('$\beta$','Interpreter','LaTex')
set(gca,'FontSize',12)
set(gca,'TickLabelInterpreter','latex')
title('\textbf{Cross-Sectional Variance}','FontSize',14,'Interpreter','LaTex')

set(gcf, 'PaperPosition', [0 0 7 3]); %Position plot at left hand corner with width 5 and height 5.
set(gcf, 'PaperSize', [7 3]); %Set the paper to have width 5 and height 5.
set(gca,'FontSize',12)


