function [w,W,distdw,distZZ,ZZ]=wage_T(w0,K,la,L,T)

global th ep et Ga1 N adjust_w toler imax

w0=w0/(w0'*L); % normalize the wage vector so that w(i)*L(i) sum up to one. 
w=w0;
W=w;
% if pini(1)==0
pini=Ga1^(1/(1-ep)/(1-et))*(w.^(-(1-et)*th)'*la)^(-1/(1-et)/th);
% end

p=price(w,pini,K,la);

distdw=1;
dist=distdw;

pi=share_w(w,p,K,la);
Z=((((T+w.*L/(1-et)))'*pi)'-w.*L/(1-et))./w;
ZZ=Z;

distZ  = sqrt( (Z./L)' * (Z./L) ); 
distZZ=distZ;

% iterate to approximate wage
for i=1:imax

    % price() iterates to approximate price index
    p=price(w,p,K,la);

    % calculate expenditure share in country i on goods from country j
    pi=share_w(w,p,K,la);
    pi=pi./(ones(N,1)*sum(pi'));

    % excess labor demand?
    Z=(((T+w.*L/(1-et))'*pi)'-w.*L/(1-et))./w;

    % adjust wage
    w1=max(0.000001,w+adjust_w*w.*Z./L);
    distdw = max(abs((w1-w)./w));        % largest change in wages
    distZ  = sqrt( (Z./L)' * (Z./L) ); % Norm of Excess Demnand, weigthed by L
    dist=max(distdw,distZ);

    w=w1;
    W=[W w];

    if (dist<toler)
        break
    end

    ZZ=[ZZ Z];
    distZZ=[distZZ distZ];
    
    
end
